import {requests} from './index';
import router from '@/router';
const PREFIX = 'api-marketing/';

import config from '@/config';
export const url = config.api + PREFIX;

//智能营销--ECM营销引擎分页列表  TODO
export const loadEcmList = (params) => requests(PREFIX + 'deprecate/page-ecm-list', params);

//智能营销--ECM营销引擎-- 删除
export const deleteEcm = (params) => requests(PREFIX + 'delete-ecm', params);

//智能营销--ECM营销引擎-- 新建/修改 回显智能引擎计划信息
export const getEcmInfo = (params) => requests(PREFIX + 'get-ecm-info', params);

// 智能营销--ECM营销引擎-- 新建/修改 [保存]计划信息
export const saveEcmInfo = (params) => requests(PREFIX + 'save-update-ecm', params);

// 智能营销--下线 TODO
export const offlineEcmPlan = (params) => requests(PREFIX + 'deprecate/ecm-plan-offline', params);

// 智能营销--记录--批次记录页面 TODO
export const ecmBatchSendInfos = (params) => requests(PREFIX + 'deprecate/ecm-batch-send-infos', params);

// 智能营销--记录--批次人员列表 TODO
export const ecmBatchSendDetails = (params) => requests(PREFIX + 'deprecate/ecm-batch-send-details', params);

// 智能营销--实时发送记录类型 TODO
export const ecmCurrentSendInfos = (params) => requests(PREFIX + 'deprecate/ecm-current-send-infos', params);

// 智能营销--实时发送人员列表 TODO
export const ecmCurrentSendDetails = (params) => requests(PREFIX + 'deprecate/ecm-current-send-details', params);
